> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Dapatkan data kline (candlestick)

> Ambil data candle OHLC. Rentang batas: 1-500 (default 300).



## OpenAPI

````yaml /id/api-reference/openapi/launch-history-v1.yaml get /kline
openapi: 3.0.3
info:
  title: API Riwayat Peluncuran Raydium
  description: >-
    Menyediakan data perdagangan historis untuk pool LaunchLab. Mencakup data
    kline (candle) dengan interval 1 menit, 5 menit, dan 15 menit, plus riwayat
    perdagangan individual.
  version: 1.0.0
servers:
  - url: https://launch-history-v1.raydium.io
    description: Mainnet
  - url: https://launch-history-v1-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: Candle Data
    description: Data candlestick OHLC
  - name: Trades
    description: Riwayat perdagangan individual
  - name: Utilities
    description: Pemeriksaan kesehatan
paths:
  /kline:
    get:
      tags:
        - Candle Data
      summary: Dapatkan data kline (candlestick)
      description: 'Ambil data candle OHLC. Rentang batas: 1-500 (default 300).'
      operationId: getKline
      parameters:
        - name: poolId
          in: query
          required: true
          schema:
            type: string
          description: Pool ID (alamat mint)
        - name: interval
          in: query
          required: true
          schema:
            type: string
            enum:
              - 1m
              - 5m
              - 15m
        - name: limit
          in: query
          schema:
            type: integer
            default: 300
            minimum: 1
            maximum: 500
        - name: nextPageKey
          in: query
          schema:
            type: string
          description: Token paginasi
      responses:
        '200':
          description: Data kline dengan paginasi

````